### Method

# Gtk ComboBox set_id_column

#### Declaration [src]

    void
    gtk_combo_box_set_id_column (
      GtkComboBox* combo_box,
      int id_column
    )

#### Description [src]

Sets the model column which `combo_box` should use to get string IDs for values from.

The column `id_column` in the model of `combo_box` must be of type `G_TYPE_STRING`.

Sets property | `Gtk.ComboBox:id-column`

#### Parameters

`id_column` | `int`
| A column in `model` to get string IDs for values from.